/**
 * {}
 * @author yutent<yutent.io@gmail.com>
 * @date 2023/08/08 18:19:17
 */
import { html, css, Component } from 'wkit'

import 'ui/icon/index.js'
import 'ui/space/index.js'
import 'ui/form/input.js'
import 'ui/form/switch.js'
import 'ui/form/button.js'

class Keys extends Component {
  static props = {
    foo: ''
  }

  static styles = [
    css`
      :host {
        flex: 1;
      }
      .main {
        width: 100%;
        height: 100%;
        padding: 32px;
        color: var(--color-dark-1);
        background: #f0f0f0;
      }

      wc-input {
        flex: 1;
      }

      wc-button {
        width: 100%;
      }

      .card {
        width: 100%;
        padding: 12px;
        margin: 0 auto 24px;
        border: 0;
        box-shadow: 0 0 8px rgba(0, 0, 0, 0.075);
        background: #fff;
      }
      legend {
        -webkit-touch-callout: none;
        user-select: none;
        color: var(--color-dark-1);
        font-weight: bold;
      }
    `
  ]

  render() {
    return html`
      <main class="main">
        <fieldset class="card">
          <legend>密钥列表</legend>
        </fieldset>
      </main>
    `
  }
}

Keys.reg('keys')
